﻿<ResourceDictionary xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
                    xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">
    
    <Style BasedOn="{StaticResource {x:Type Button}}" TargetType="{x:Type Button}"
           x:Key="MainButton">
        <Style.Setters>
            <Setter Property="Foreground" Value="{StaticResource PrimaryTextColor}"/>
            <Setter Property="Template">
                <Setter.Value>
                    <ControlTemplate TargetType="{x:Type Button}">
                        <Border Background="{StaticResource PrimaryColor}"
                                CornerRadius="10" Padding="20 10" Cursor="Hand"
                                HorizontalAlignment="Stretch" VerticalAlignment="Stretch"
                                x:Name="border">
                            <ContentPresenter Content="{TemplateBinding Content}"/>
                            
                        </Border>
                        
                        <ControlTemplate.Triggers>
                            <Trigger Property="IsMouseOver" Value="true">
                                <Setter Property="Background" TargetName="border" Value="{StaticResource  SecondaryColor}"/>
                            </Trigger>
                            <Trigger Property="IsPressed" Value="true">
                                <Setter Property="Background" TargetName="border" Value="{StaticResource PrimaryColor}"/>
                            </Trigger>
                        </ControlTemplate.Triggers>
                    </ControlTemplate>
                </Setter.Value>
            </Setter>
        </Style.Setters>
    </Style>
    
    <Style BasedOn="{StaticResource {x:Type Button}}" TargetType="{x:Type Button}"
           x:Key="NoteListItemButton">
        <Style.Setters>
            <Setter Property="Cursor" Value="Hand"/>
            <Setter Property="HorizontalContentAlignment" Value="Stretch"/>
            <Setter Property="BorderThickness" Value="0"/>
            <Setter Property="Background" Value="Transparent"/>
            <Setter Property="Template">
                <Setter.Value>
                    <ControlTemplate TargetType="{x:Type Button}">
                        <ContentPresenter Content="{TemplateBinding Content}"/>
                    </ControlTemplate>
                </Setter.Value>
            </Setter>
        </Style.Setters>
    </Style>
    
</ResourceDictionary>
